* GUT, J.A.W. Programao Matemtica para Otimizao de Processos. EDUSP 2021.
* https://sites.usp.br/otimizacao/
***** Problema de alocao ********************************
***** Definio de conjuntos ******************************
SET i pontos / 1*5 /;
***** Definio de parmetros *****************************
PARAMETER x(i)
         / 1 0.020
           2 0.110
           3 0.215
           4 0.435
           5 0.850 /;
PARAMETER Texp(i)
         / 1 55.29
           2 41.75
           3 36.45
           4 29.46
           5 28.63 /;
PARAMETERS Tinf / 28.5 /;
***** Declarao de variveis *****************************
FREE VARIABLE f;
POSITIVE VARIABLE Tmod(i), M, Tb;
***** Declarao de equaes ******************************
EQUATION h0, h(i);
***** Equaes ********************************************
h0.. f - SUM(i,POWER((Tmod(i) - Texp(i)),2)) =E= 0;
h(i).. Tmod(i) - Tinf - (Tb - Tinf)*EXP(-M*x(i)) =E= 0;
***** Soluo do problema *********************************
MODEL ajuste /ALL/;
SOLVE ajuste USING NLP MINIMAZING f;
***********************************************************
